Bug 1285518 - Review Request: perl-File-Edit-Portable - Read and write files while keeping the original line-endings intact
Summary: Review Request: perl-File-Edit-Portable - Read and write files while keeping ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1301284 1301285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-25 19:54 UTC by Denis Fateyev
Modified: 2016-02-27 02:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 02:21:18 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Denis Fateyev 2015-11-25 19:54:24 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-File-Edit-Portable.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-File-Edit-Portable-1.10-1.fc24.src.rpm
Description: The default behavior of perl is to read and write files using the Operating System's (OS) default record separator (line ending). If you open a file on an OS where the record separators are that of another OS, things can and do break.
Fedora Account System Username: dfateyev

Koji rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11979937

Comment 1 Jitka Plesnikova 2015-11-26 09:45:47 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-File-Edit-Portable-1.10-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(File::Find::Rule)
      1 perl(File::Temp)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-File-Edit-Portable-1.10-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(File::Edit::Portable) = 1.10
      1 perl-File-Edit-Portable = 1.10-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-File-Edit-Portable*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Rpmlint is ok

BuildRequires are ok
TODO: perl(strict) and perl(warnings) should be part of the first section
      BRs, because they are used in Makefile.PL

Please consider fixing 'TODO' items.

Package looks good.
Approved.

Comment 2 Upstream Release Monitoring 2015-12-09 15:30:11 UTC
dfateyev's scratch build of perl-File-Edit-Portable-1.11-1.fc20.denf.src.rpm for epel7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12125826

Comment 3 Upstream Release Monitoring 2015-12-09 15:30:33 UTC
dfateyev's scratch build of perl-File-Edit-Portable-1.11-1.fc20.denf.src.rpm for dist-6E-epel completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12125824

Comment 4 Jitka Plesnikova 2016-01-21 07:14:16 UTC
The package should be updated before submit. The latest version is File-Edit-Portable-1.15

Comment 5 Denis Fateyev 2016-01-21 07:51:14 UTC
Sure. I waited for some modules to be populated in EPEL.
Now it's done and tested, so I will update/push packages for this module soon.

Comment 6 Denis Fateyev 2016-01-23 15:33:21 UTC
The latest version added new dependencies.

Comment 7 Gwyn Ciesla 2016-02-10 14:24:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-File-Edit-Portable

Comment 8 Fedora Update System 2016-02-10 16:44:16 UTC
perl-File-Edit-Portable-1.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7721aaae83

Comment 9 Fedora Update System 2016-02-10 16:44:17 UTC
perl-File-Edit-Portable-1.18-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a0ba7060

Comment 10 Fedora Update System 2016-02-10 16:44:19 UTC
perl-File-Edit-Portable-1.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7721aaae83

Comment 11 Fedora Update System 2016-02-10 16:44:20 UTC
perl-File-Edit-Portable-1.18-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a0ba7060

Comment 12 Fedora Update System 2016-02-10 16:44:24 UTC
perl-File-Edit-Portable-1.18-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a0ba7060

Comment 13 Fedora Update System 2016-02-10 16:44:28 UTC
perl-File-Edit-Portable-1.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fed83465dd

Comment 14 Fedora Update System 2016-02-10 16:44:29 UTC
perl-File-Edit-Portable-1.18-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e0c8bb15b2

Comment 15 Fedora Update System 2016-02-10 16:44:31 UTC
perl-File-Edit-Portable-1.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fed83465dd

Comment 16 Fedora Update System 2016-02-11 14:21:09 UTC
perl-File-Edit-Portable-1.18-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e0c8bb15b2

Comment 17 Fedora Update System 2016-02-11 14:24:54 UTC
perl-File-Edit-Portable-1.18-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7721aaae83

Comment 18 Fedora Update System 2016-02-11 14:52:33 UTC
perl-File-Edit-Portable-1.18-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a0ba7060

Comment 19 Fedora Update System 2016-02-11 15:21:17 UTC
perl-File-Edit-Portable-1.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fed83465dd

Comment 20 Fedora Update System 2016-02-21 02:21:16 UTC
perl-File-Edit-Portable-1.18-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-02-21 16:26:48 UTC
perl-File-Edit-Portable-1.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-02-27 02:00:48 UTC
perl-File-Edit-Portable-1.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-02-27 02:07:33 UTC
perl-File-Edit-Portable-1.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.